package com.foreverwin.mesnac.anomaly.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 计划异常待办事项
 * </p>
 *
 * @author zjw
 * @since 2021-08-07
 */

@TableName("Z_ABNORMAL_PLAN")

public class AbnormalPlan extends Model<AbnormalPlan> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 异常单号
     */
   @TableField("ABNORMAL_NO")
   private String abnormalNo;
    /**
     * 状态
     */
   @TableField("STATUS")
   private String status;
    /**
     * 车间
     */
   @TableField("WORK_CENTER")
   private String workCenter;
    /**
     * 异常方案
     */
   @TableField("ABNORMAL_METHOD")
   private String abnormalMethod;
    /**
     * 工单
     */
   @TableField("SHOP_ORDER")
   private String shopOrder;
    /**
     * 设备
     */
   @TableField("RESRCE")
   private String resrce;
    /**
     * 物料编号
     */
   @TableField("ITEM_BO")
   private String itemBo;
    /**
     * 异常数量
     */
   @TableField("QTY")
   private Long qty;
    /**
     * 处理人
     */
   @TableField("PROCESSOR")
   private String processor;
    /**
     * 发送用户组
     */
   @TableField("SEND_USER_GROUP")
   private String sendUserGroup;
    /**
     * 发送时间和处理时间
     */
   @TableField("SEND_DATE_TIME")
   private LocalDateTime sendDateTime;
    /**
     * 闭环人员
     */
   @TableField("CLOSED_USER")
   private String closedUser;
    /**
     * 闭环时间
     */
   @TableField("CLOSED_DATE_TIME")
   private LocalDateTime closedDateTime;
    /**
     * 创建人
     */
   @TableField("CREATED_USER")
   private String createdUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFIED_USER")
   private String modifiedUser;
    /**
     * 修改日期
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getAbnormalNo() {
      return abnormalNo;
   }

   public void setAbnormalNo(String abnormalNo) {
      this.abnormalNo = abnormalNo;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getWorkCenter() {
      return workCenter;
   }

   public void setWorkCenter(String workCenter) {
      this.workCenter = workCenter;
   }

   public String getAbnormalMethod() {
      return abnormalMethod;
   }

   public void setAbnormalMethod(String abnormalMethod) {
      this.abnormalMethod = abnormalMethod;
   }

   public String getShopOrder() {
      return shopOrder;
   }

   public void setShopOrder(String shopOrder) {
      this.shopOrder = shopOrder;
   }

   public String getResrce() {
      return resrce;
   }

   public void setResrce(String resrce) {
      this.resrce = resrce;
   }

   public String getItemBo() {
      return itemBo;
   }

   public void setItemBo(String itemBo) {
      this.itemBo = itemBo;
   }

   public Long getQty() {
      return qty;
   }

   public void setQty(Long qty) {
      this.qty = qty;
   }

   public String getProcessor() {
      return processor;
   }

   public void setProcessor(String processor) {
      this.processor = processor;
   }

   public String getSendUserGroup() {
      return sendUserGroup;
   }

   public void setSendUserGroup(String sendUserGroup) {
      this.sendUserGroup = sendUserGroup;
   }

   public LocalDateTime getSendDateTime() {
      return sendDateTime;
   }

   public void setSendDateTime(LocalDateTime sendDateTime) {
      this.sendDateTime = sendDateTime;
   }

   public String getClosedUser() {
      return closedUser;
   }

   public void setClosedUser(String closedUser) {
      this.closedUser = closedUser;
   }

   public LocalDateTime getClosedDateTime() {
      return closedDateTime;
   }

   public void setClosedDateTime(LocalDateTime closedDateTime) {
      this.closedDateTime = closedDateTime;
   }

   public String getCreatedUser() {
      return createdUser;
   }

   public void setCreatedUser(String createdUser) {
      this.createdUser = createdUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifiedUser() {
      return modifiedUser;
   }

   public void setModifiedUser(String modifiedUser) {
      this.modifiedUser = modifiedUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String ABNORMAL_NO = "ABNORMAL_NO";

public static final String STATUS = "STATUS";

public static final String WORK_CENTER = "WORK_CENTER";

public static final String ABNORMAL_METHOD = "ABNORMAL_METHOD";

public static final String SHOP_ORDER = "SHOP_ORDER";

public static final String RESRCE = "RESRCE";

public static final String ITEM_BO = "ITEM_BO";

public static final String QTY = "QTY";

public static final String PROCESSOR = "PROCESSOR";

public static final String SEND_USER_GROUP = "SEND_USER_GROUP";

public static final String SEND_DATE_TIME = "SEND_DATE_TIME";

public static final String CLOSED_USER = "CLOSED_USER";

public static final String CLOSED_DATE_TIME = "CLOSED_DATE_TIME";

public static final String CREATED_USER = "CREATED_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_USER = "MODIFIED_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "AbnormalPlan{" +
         "handle = " + handle +
         ", site = " + site +
         ", abnormalNo = " + abnormalNo +
         ", status = " + status +
         ", workCenter = " + workCenter +
         ", abnormalMethod = " + abnormalMethod +
         ", shopOrder = " + shopOrder +
         ", resrce = " + resrce +
         ", itemBo = " + itemBo +
         ", qty = " + qty +
         ", processor = " + processor +
         ", sendUserGroup = " + sendUserGroup +
         ", sendDateTime = " + sendDateTime +
         ", closedUser = " + closedUser +
         ", closedDateTime = " + closedDateTime +
         ", createdUser = " + createdUser +
         ", createdDateTime = " + createdDateTime +
         ", modifiedUser = " + modifiedUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}